package com.DroidGHTopo;
 
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import static com.Exo1.CallDialogs.*;
 
public class ActiviteEditTopo extends Activity {
    private Intent fIntentSender;
 
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
    	super.onCreate(savedInstanceState);
 
    	//on lui associe le layout afficahgequestionactivity.xml
    	setContentView(R.layout.activiteedittopo);
 
    	//on récupère tous les éléments
        EditText editText1 = (EditText) findViewById(R.id.editText1);
        Button btnYes = (Button)findViewById(R.id.btnYes);
        Button btnNo = (Button)findViewById(R.id.btnNo);
 
        // On récupère l'intent envoyeur
        fIntentSender = this.getIntent();
        //On récupère l'objet Bundle envoyé par l'autre Activity
        Bundle objetbundle  = fIntentSender.getExtras();
 
        //On récupère les données du Bundle
        if (objetbundle != null)
        {
            String EWE = fIntentSender.getStringExtra("NomCavite");
            this.setTitle(EWE);
        }    
        //On créé notre question
        editText1.setText("");
 
        //On crée un écouteur d'évènement commun au deux Button
        OnClickListener onClickLister = new OnClickListener() 
        {
 
            @Override
            public void onClick(View v)
            {
                switch(v.getId())
                {
                //si on a cliqué sur le button Oui
                case R.id.btnYes:
                    setResult(1);
                    finish();
                    break;
                case R.id.btnNo:
                     setResult(2);
                     finish();
                     break;
                }
            }
        };
        //on affecte aux Button l'écouteur d'évènement
        btnYes.setOnClickListener(onClickLister);
        btnNo.setOnClickListener(onClickLister);
    }
    // sauvegarde du contexte} 
    @Override
    protected void onSaveInstanceState(Bundle outstate)
    {
        super.onSaveInstanceState(outstate);
        showMessage(this, "Sauvegarde de " + this.getLocalClassName());
    }        
    
}

